<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:35 CEST 2019 -->
<title>ISC_ARRAY_BOUND.ByReference (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ISC_ARRAY_BOUND.ByReference (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/jna/fbclient/ISC_ARRAY_BOUND.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/jna/fbclient/ISC_ARRAY_BOUND.ByValue.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/jna/fbclient/ISC_ARRAY_BOUND.ByReference.html" target="_top">Frames</a></li>
<li><a href="ISC_ARRAY_BOUND.ByReference.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.firebirdsql.jna.fbclient.ISC_ARRAY_BOUND">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.firebirdsql.jna.fbclient.ISC_ARRAY_BOUND">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.org.firebirdsql.jna.fbclient.ISC_ARRAY_BOUND">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jna.fbclient</div>
<h2 title="Class ISC_ARRAY_BOUND.ByReference" class="title">Class ISC_ARRAY_BOUND.ByReference</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>com.sun.jna.Structure</li>
<li>
<ul class="inheritance">
<li><a href="../../../../org/firebirdsql/jna/fbclient/ISC_ARRAY_BOUND.html" title="class in org.firebirdsql.jna.fbclient">org.firebirdsql.jna.fbclient.ISC_ARRAY_BOUND</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.jna.fbclient.ISC_ARRAY_BOUND.ByReference</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>com.sun.jna.Structure.ByReference</dd>
</dl>
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../org/firebirdsql/jna/fbclient/ISC_ARRAY_BOUND.html" title="class in org.firebirdsql.jna.fbclient">ISC_ARRAY_BOUND</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="typeNameLabel">ISC_ARRAY_BOUND.ByReference</span>
extends <a href="../../../../org/firebirdsql/jna/fbclient/ISC_ARRAY_BOUND.html" title="class in org.firebirdsql.jna.fbclient">ISC_ARRAY_BOUND</a>
implements com.sun.jna.Structure.ByReference</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.firebirdsql.jna.fbclient.ISC_ARRAY_BOUND">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/ISC_ARRAY_BOUND.html" title="class in org.firebirdsql.jna.fbclient">ISC_ARRAY_BOUND</a></h3>
<code><a href="../../../../org/firebirdsql/jna/fbclient/ISC_ARRAY_BOUND.ByReference.html" title="class in org.firebirdsql.jna.fbclient">ISC_ARRAY_BOUND.ByReference</a>, <a href="../../../../org/firebirdsql/jna/fbclient/ISC_ARRAY_BOUND.ByValue.html" title="class in org.firebirdsql.jna.fbclient">ISC_ARRAY_BOUND.ByValue</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.com.sun.jna.Structure">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;com.sun.jna.Structure</h3>
<code>com.sun.jna.Structure.FieldOrder, com.sun.jna.Structure.StructField</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.jna.fbclient.ISC_ARRAY_BOUND">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/ISC_ARRAY_BOUND.html" title="class in org.firebirdsql.jna.fbclient">ISC_ARRAY_BOUND</a></h3>
<code><a href="../../../../org/firebirdsql/jna/fbclient/ISC_ARRAY_BOUND.html#array_bound_lower">array_bound_lower</a>, <a href="../../../../org/firebirdsql/jna/fbclient/ISC_ARRAY_BOUND.html#array_bound_upper">array_bound_upper</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.sun.jna.Structure">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.sun.jna.Structure</h3>
<code>ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jna/fbclient/ISC_ARRAY_BOUND.ByReference.html#ByReference--">ByReference</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.jna.fbclient.ISC_ARRAY_BOUND">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/ISC_ARRAY_BOUND.html" title="class in org.firebirdsql.jna.fbclient">ISC_ARRAY_BOUND</a></h3>
<code><a href="../../../../org/firebirdsql/jna/fbclient/ISC_ARRAY_BOUND.html#getFieldOrder--">getFieldOrder</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sun.jna.Structure">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.sun.jna.Structure</h3>
<code>allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ByReference--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ByReference</h4>
<pre>public&nbsp;ByReference()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/jna/fbclient/ISC_ARRAY_BOUND.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/jna/fbclient/ISC_ARRAY_BOUND.ByValue.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/jna/fbclient/ISC_ARRAY_BOUND.ByReference.html" target="_top">Frames</a></li>
<li><a href="ISC_ARRAY_BOUND.ByReference.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.firebirdsql.jna.fbclient.ISC_ARRAY_BOUND">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.firebirdsql.jna.fbclient.ISC_ARRAY_BOUND">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#methods.inherited.from.class.org.firebirdsql.jna.fbclient.ISC_ARRAY_BOUND">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
